category: example
name: Composite
attributes:
  local_fields:
    - field_name: components
      field_type: array<AxisAtom.Component>
      field_persistence: true
      field_nullable: true
      field_immutable: false
      field_unique: false
  ref_fields: []
methods:
  class_methods: []
  instance_methods: []
persistence: true
abstract: false
api_generation: false
extends:
  - Component